GSEL_NORM_TRAN(3NCARG)

NAME
gsel_norm_tran (Select normalization transformation) - selects a predefined or user-defined transformation that maps world coordinates to normalized device coordinates.

SYNOPSIS
#include <ncarg/gks.h>

void gsel_norm_tran(Gint tran_num);

DESCRIPTION

tran_num
    (Input) - A normalization transformation number. The number of available transformations is implementation specific. In the case of NCAR GKS-0A, two normalization transformations are provided:

    0   Selects the identity transformation in which both the window and viewport have the range of 0. to 1. in both coordinate directions. This is the default.

    1   Selects a normalization transformation in which the window and viewport have been defined by calls to gset_win and gset_vp.

USAGE
When a normalization transformation is selected, all world coordinate arguments to GKS functions are transformed by it.

ACCESS
To use the GKS C-binding routines, load the ncarg_gks and ncarg_c libraries.

SEE ALSO
Online: set(3NCARG), gset_win(3NCARG), gset_vp(3NCARG), ginq_clip(3NCARG), gks(3NCARG), ncarg_gks_cbind(3NCARG)

Hardcopy: User's Guide for NCAR GKS-0A Graphics; NCAR Graphics Fundamentals, UNIX Version

COPYRIGHT
Copyright (C) 1987-2009
University Corporation for Atmospheric Research
The use of this Software is governed by a License Agreement.